Subject: Re: [PATCH net-next v3 9/9] selftests: drivers: hw: add test for the ethtool standard counters

From: Jakub Kicinski <[email-masked]>
Date: Fri, 20 Mar 2026 20:17:31 -0700

On Thu, 19 Mar 2026 18:04:10 +0200 Ioana Ciornei wrote:
>  $ ./run_kselftest.sh -t drivers/net/hw:ethtool_std_stats.sh
>  TAP version 13
>  1..1
>  # timeout set to 0
>  # selftests: drivers/net/hw: ethtool_std_stats.sh
>  # TEST: eth-ctrl-MACControlFramesTransmitted on endpmac17             [ OK ]
>  # TEST: eth-ctrl-MACControlFramesReceived on endpmac17                [ OK ]
>  # TEST: eth-mac-FrameCheckSequenceErrors on endpmac17                 [ OK ]
>  # TEST: eth-mac-AlignmentErrors on endpmac17                          [ OK ]
>  # TEST: eth-mac-FramesLostDueToIntMACXmitError on endpmac17           [ OK ]
>  # TEST: eth-mac-CarrierSenseErrors on endpmac17 (not supported)       [SKIP]

The output needs to be KTAP for HW tests. NIPA tracks them on sub-case
basis, because most devices will skip at least one case. We need to be
able to catch regressions at finer granularity than in SW tests.